org.apache.felix.utils.resource

## Class CapabilitySet

- java.lang.Object
- - org.apache.felix.utils.resource.CapabilitySet

    public class CapabilitySet
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`CapabilitySet(List<String> indexProps)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`void` `addCapability(org.osgi.resource.Capability cap)`
`void` `dump()`
`Set<org.osgi.resource.Capability>` `match(SimpleFilter sf, boolean obeyMandatory)`
`static boolean` `matches(org.osgi.resource.Capability capability, org.osgi.resource.Requirement requirement)`
`static boolean` `matches(org.osgi.resource.Capability cap, SimpleFilter sf)`
`void` `removeCapability(org.osgi.resource.Capability cap)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CapabilitySet

    public CapabilitySet(List<String> indexProps)

### Method Detail

#### dump

    public void dump()

#### addCapability

    public void addCapability(org.osgi.resource.Capability cap)

#### removeCapability

    public void removeCapability(org.osgi.resource.Capability cap)

#### match

    public Set<org.osgi.resource.Capability> match(SimpleFilter sf,
                                                   boolean obeyMandatory)

#### matches

    public static boolean matches(org.osgi.resource.Capability capability,
                                  org.osgi.resource.Requirement requirement)

#### matches

    public static boolean matches(org.osgi.resource.Capability cap,
                                  SimpleFilter sf)